Name:          libqalculate
Version:       0.9.7
Release:       3mamba
Summary:       Multi-purpose calculator library 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://qalculate.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/qalculate/libqalculate/libqalculate-%{version}/libqalculate-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: cln-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This library underpins the Qalculate! multi-purpose desktop calculator for GNU/Linux.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This library underpins the Qalculate! multi-purpose desktop calculator for GNU/Linux.

This package contains static libraries and header files need for development.

%package -n qalculate
Group:         Applications/Scientific
Summary:       Multi-purpose calculator, text mode interface
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n qalculate
Qalculate! is a multi-purpose desktop calculator for GNU/Linux.
It is small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting.
This package provides the text-mode interface for Qalculate!

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libqalculate.so.*
%{_datadir}/qalculate/*.xml
%exclude %{_docdir}/%{name}-%{version}/reference/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libqalculate/*.h
%{_libdir}/libqalculate.a
%{_libdir}/libqalculate.la
%{_libdir}/libqalculate.so
%{_libdir}/pkgconfig/libqalculate.pc
%{_docdir}/%{name}-%{version}/reference/*
%doc ChangeLog NEWS README README.translate TODO

%files -n qalculate
%defattr(-,root,root)
%{_bindir}/qalc

%changelog
* Sun Dec 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.7-3mamba
- rebuilt with gcc 5.3.0

* Sun May 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.7-2mamba
- install datadir in main package instead of devel because xml files are used at runtime by the library

* Sat Aug 14 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.9.7-1mamba
- package created by autospec
